Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044921
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2020-08-28 15:562020-09-07 07:58
ReporterrafarodaView Statuspublic 
Assigned Tocberner 
PrioritynormalResolutionfixedFixed in VersionPR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044921: Adding a column in the grid view to a view when there is a Lazy Filter launches the search

DescriptionAdding a column in the grid view to a view when there is a Lazy Filter launches the search: this might result in performance problems in the server if no filter is applied first
Steps To Reproduce* Add a Lazy Filter to Sales Order window Header tab
* Go to Sales Order: no records are displayed
* In the grid view, click on any column name header to show some hidden column, or hide any shown column
* Filtering is triggered

See video in Live Builds with Terminal Log window https://drive.google.com/file/d/1T4Hn7gA2vx-vGDwTepo7qNykDSoooK0v/view?usp=sharing [^]
TagsNOR, Performance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0044770 closedAugustoMauch In backend, all data are shown by default in subtabs with Lazy filtering configured 
related to defect 0045853 closedcberner In backend, all data are shown by default in subtabs with Lazy filtering configured 

-  Notes
(0122437)
rafaroda (developer)
2020-08-28 15:57

See related 0044770
(0122646)
hgbot (developer)
2020-09-04 08:59

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/143 [^]
(0122710)
alostale (developer)
2020-09-07 07:57

Note fetching data again is still required when adding a column that was not present in the grid before as its data was not present.
(0122711)
hgbot (developer)
2020-09-07 07:58

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: dd72d70a4ea05a6550446eb998eb29a71e1924ee
Author: Cristian Berner <cristian.berner@openbravo.com>
Date: 2020-09-07T05:57:42+00:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/dd72d70a4ea05a6550446eb998eb29a71e1924ee [^]

Fixes ISSUE-44921: On hiding or showing grid column, don't refresh on lazy filtering

Previously when hiding or showing a column in grid view a request was
made to refresh the content of the grid, resulting in lazy filtering
being ignored.
This fix makes sure that showing or hiding a column in a grid view when
lazyFiltering is on will not trigger a refresh of the grid view content.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0122712)
hgbot (developer)
2020-09-07 07:58

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/143 [^]

- Issue History
Date Modified Username Field Change
2020-08-28 15:56 rafaroda New Issue
2020-08-28 15:56 rafaroda Assigned To => platform
2020-08-28 15:56 rafaroda Modules => Core
2020-08-28 15:56 rafaroda Triggers an Emergency Pack => No
2020-08-28 15:56 rafaroda Relationship added related to 0044770
2020-08-28 15:56 rafaroda Tag Attached: NOR
2020-08-28 15:57 rafaroda Note Added: 0122437
2020-09-04 08:59 hgbot Note Added: 0122646
2020-09-04 08:59 cberner Assigned To platform => cberner
2020-09-07 07:57 alostale Note Added: 0122710
2020-09-07 07:58 alostale Tag Attached: Performance
2020-09-07 07:58 hgbot Resolution open => fixed
2020-09-07 07:58 hgbot Status new => closed
2020-09-07 07:58 hgbot Fixed in Version => PR20Q4
2020-09-07 07:58 hgbot Note Added: 0122711
2020-09-07 07:58 hgbot Note Added: 0122712
2021-02-04 14:49 rafaroda Relationship added related to 0045853


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker